MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029939Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-07-09 10:112018-07-14 12:41
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029939: Modeling Algorithms - add NULL check to BRepGProp_Face::Load()
DescriptionIt is desired to protect BRepGProp_Face::Load() against possible NULL dereference (see 0029926)
Steps To Reproduce
pload MODELING VISUALIZATION
restore [locate_data bug29926.brep] f
vinit View1
vdisplay -dispMode 1 f
vfit
sprops f
vprops f

TagsNo tags attached.
Test case numberbugs/modalg_7/bug29939
Attached Files

- Relationships
child of 0029926assignedifv Modeling Algorithms - NULL dereference within GProp_GProps on Edge without 2D Curve 

-  Notes
(0077389)
git (administrator)
2018-07-09 12:27

Branch CR29939 has been created by kgv.

SHA-1: 20275ee9ec1c12293faef00de9d4e291b7eaf34a


Detailed log of new commits:

Author: kgv
Date: Wed Jul 4 12:09:50 2018 +0300

    0029939: Modeling Algorithms - add NULL check to BRepGProp_Face::Load()
(0077392)
kgv (developer)
2018-07-09 13:49

Patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR29939-master-KGV [^]
(0077416)
msv (developer)
2018-07-10 13:10

src/BRepGProp/BRepGProp_Gauss.hxx
- 83, 103: these methods do not return bool.

src/BRepGProp/BRepGProp_Gauss.cxx
- 628: in this place there is still present risk of exception.

The methods of the upper level API (LinearProperties, SurfaceProperties, VolumeProperties of BRepGProp) do not utilize the new return value. So, in the view of this fix, change of API of all methods looks unnecessary.

tests/bugs/modalg_7/bug29939
- there is no need in creation of snapshot for this test.
(0077428)
git (administrator)
2018-07-10 17:28

Branch CR29939 has been updated by kgv.

SHA-1: efc848a7ead11db1d3d18f3ecc440246458eb714


Detailed log of new commits:

Author: kgv
Date: Tue Jul 10 17:27:29 2018 +0300

    # remarks

(0077429)
git (administrator)
2018-07-10 17:33

Branch CR29939_1 has been created by kgv.

SHA-1: e25e5e8f40f7579a4135d7af5ab2b7f3811fb876


Detailed log of new commits:

Author: kgv
Date: Wed Jul 4 12:09:50 2018 +0300

    0029939: Modeling Algorithms - add NULL check to BRepGProp_Face::Load()
(0077430)
git (administrator)
2018-07-10 17:43

Branch CR29939_1 has been updated forcibly by kgv.

SHA-1: 225b4b20601dac30b1f3143fef4088525c3de33d
(0077433)
kgv (developer)
2018-07-10 19:35
edited on: 2018-07-10 19:35

Updated patch is ready for review.

http://jenkins-test-11.nnov.opencascade.com/view/CR29939_1-master-KGV/ [^]

(0077436)
git (administrator)
2018-07-10 21:19

Branch CR29939_1 has been updated forcibly by msv.

SHA-1: 0adc6842d965068b8af10c284fbdd5edfedf7fb6
(0077437)
msv (developer)
2018-07-10 21:20

Commit message has been completed.
(0077438)
msv (developer)
2018-07-10 21:21

Reviewed.
(0077453)
bugmaster (administrator)
2018-07-11 15:35

Combination -
OCCT branch : CR29939_1 SHA - 225b4b20601dac30b1f3143fef4088525c3de33d
Products branch : master SHA - 49c228d5213fed6561994d0148827917539e38c8
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17289.279999999846 / 17169.739999999776 [+0.70%]
Products
Total CPU difference: 7529.330000000048 / 7501.920000000043 [+0.37%]
Windows-64-VC10:
OCCT
Total CPU difference: 16935.46855999858 / 16852.39802749857 [+0.49%]
Products
Total CPU difference: 8237.757605799887 / 8212.11104139987 [+0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0077611)
git (administrator)
2018-07-14 12:41

Branch CR29939_1 has been deleted by inv.

SHA-1: 0adc6842d965068b8af10c284fbdd5edfedf7fb6
(0077613)
git (administrator)
2018-07-14 12:41

Branch CR29939 has been deleted by inv.

SHA-1: efc848a7ead11db1d3d18f3ecc440246458eb714

- Related Changesets
occt: master 8ff2e494
Timestamp: 2018-07-04 09:09:50
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029939: Modeling Algorithms - add NULL check to BRepGProp_Face::Load()

BRepGProp_Face::Load() has been protected against crash in case of edges without p-curves.
mod - src/BRepGProp/BRepGProp_Face.cxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_Face.hxx Diff ] File ]
mod - src/BRepGProp/BRepGProp_Gauss.cxx Diff ] File ]
add - tests/bugs/modalg_7/bug29939 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-09 10:11 kgv New Issue
2018-07-09 10:11 kgv Assigned To => msv
2018-07-09 10:12 kgv Relationship added child of 0029926
2018-07-09 12:27 git Note Added: 0077389
2018-07-09 13:49 kgv Note Added: 0077392
2018-07-09 13:49 kgv Assigned To msv => bugmaster
2018-07-09 13:49 kgv Status new => resolved
2018-07-10 13:10 msv Note Added: 0077416
2018-07-10 13:10 msv Assigned To bugmaster => kgv
2018-07-10 13:10 msv Status resolved => assigned
2018-07-10 17:28 git Note Added: 0077428
2018-07-10 17:33 git Note Added: 0077429
2018-07-10 17:43 git Note Added: 0077430
2018-07-10 19:35 kgv Note Added: 0077433
2018-07-10 19:35 kgv Assigned To kgv => msv
2018-07-10 19:35 kgv Status assigned => resolved
2018-07-10 19:35 kgv Note Edited: 0077433 View Revisions
2018-07-10 21:19 git Note Added: 0077436
2018-07-10 21:20 msv Note Added: 0077437
2018-07-10 21:21 msv Note Added: 0077438
2018-07-10 21:21 msv Assigned To msv => bugmaster
2018-07-10 21:21 msv Status resolved => reviewed
2018-07-11 15:35 bugmaster Note Added: 0077453
2018-07-11 15:35 bugmaster Status reviewed => tested
2018-07-11 15:36 bugmaster Test case number => bugs/modalg_7/bug29939
2018-07-14 12:26 bugmaster Changeset attached => occt master 8ff2e494
2018-07-14 12:26 bugmaster Status tested => verified
2018-07-14 12:26 bugmaster Resolution open => fixed
2018-07-14 12:41 git Note Added: 0077611
2018-07-14 12:41 git Note Added: 0077613


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker